SHA256
1
0
forked from pool/xine-lib

Accepting request 283905 from home:wolfi323:branches:multimedia:xine

- update to 1.2.6
  * Add libmmal video output plugin for Raspberry Pi.
  * Add libmmal HW video decoder plugin for Raspberry Pi.
  * Add overlay colormatrix support.
  * Add "sqare monitor pixels" config option.
  * Add VAAPI colormatrix and fullrange video support.
  * Add "radeonhd" XV colormatrix support.
  * Add Opus audio support.
  * Update german translation.
  * Optimize OpenGL2 video out.
  * Optimize raw RGB video decoder.
  * Fix multithread ffmpeg video decoding.
  * Fix/optimize DVB subtitles.
  * Fix external text subtitles.
  * BSD build fixes.
  * Clang build fixes.
  * Build optimization fixes (aliasing).
  * AVformat demux build fix.
  * More safety on memory allocation failure.
  * Fix detection of and compilation with libcaca 0.99 beta 19.
- use the xz compressed tarball provided by upstream and change
  precheckin_cripple_tarball.sh accordingly
- should fix boo#913588

Also added a missing changelog entry regarding the removal of xine-lib-missing-include-1.2.3.patch which caused the submission to Factory to be declined.

OBS-URL: https://build.opensuse.org/request/show/283905
OBS-URL: https://build.opensuse.org/package/show/multimedia:xine/xine-lib?expand=0&rev=76
This commit is contained in:
Tomáš Chvátal 2015-02-11 11:21:45 +00:00 committed by Git OBS Bridge
parent 1a5776972a
commit 7b33c07cc2
7 changed files with 45 additions and 18 deletions

View File

@ -38,17 +38,17 @@ popd >/dev/null
tmp="/`mktemp -d`"
trap 'rm -rf $tmp; echo 1>&2 "$0 failed"' EXIT
test -d "$tmp" -a -w "$tmp" || exit
tarsource="`echo xine-lib-*[0-9].tar.bz2`"
tarsource="`echo xine-lib-*[0-9].tar.xz`"
if [ ! -s "$tarsource" ] ; then
echo "Error: cannot find source tarball"
exit 1
fi
tarbase="${tarsource%.tar.bz2}"
tardest="$tarbase-crippled.tar.bz2"
tarbase="${tarsource%.tar.xz}"
tardest="$tarbase-crippled.tar.xz"
rm -rf xine-lib-*-crippled.tar.bz2
rm -rf xine-lib-*-crippled.tar.xz
echo 1>&2 "Unpacking..."
tar -C "$tmp" -xjf $tarsource || exit 1
tar -C "$tmp" -xJf $tarsource || exit 1
pushd $tmp/$tarbase >/dev/null || exit 1
@ -88,7 +88,7 @@ autoreconf -fi || exit 1
popd >/dev/null
tar --owner=root --group=root -C $tmp -cjf $tardest $tarbase || exit 1
tar --owner=root --group=root -C $tmp -cJf $tardest $tarbase || exit 1
rm -rf $tmp
echo 1>&2 ""

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:42e9cd68e50aaaee520d462f2c2a4500209b940a4ceefb3e18c7b7c829cbe5dd
size 6392301

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:9c92662ed3f567a099c37b1016fa105ae55982d4800ca2c93766967c24747f49
size 6422874

View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:eac3308b13f68bfdadcf85af5e104450b84fb346d5af95e29fa35c8339ff422e
size 4749220

3
xine-lib-1.2.6.tar.xz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:bd041d738817c7c0c6392a3c0e5bda5a664a47e035135b5a449364f8c9b6a005
size 5020964

View File

@ -1,3 +1,30 @@
-------------------------------------------------------------------
Mon Feb 2 19:22:38 UTC 2015 - wbauer@tmo.at
- update to 1.2.6
* Add libmmal video output plugin for Raspberry Pi.
* Add libmmal HW video decoder plugin for Raspberry Pi.
* Add overlay colormatrix support.
* Add "sqare monitor pixels" config option.
* Add VAAPI colormatrix and fullrange video support.
* Add "radeonhd" XV colormatrix support.
* Add Opus audio support.
* Update german translation.
* Optimize OpenGL2 video out.
* Optimize raw RGB video decoder.
* Fix multithread ffmpeg video decoding.
* Fix/optimize DVB subtitles.
* Fix external text subtitles.
* BSD build fixes.
* Clang build fixes.
* Build optimization fixes (aliasing).
* AVformat demux build fix.
* More safety on memory allocation failure.
* Fix detection of and compilation with libcaca 0.99 beta 19.
- use the xz compressed tarball provided by upstream and change
precheckin_cripple_tarball.sh accordingly
- should fix boo#913588
-------------------------------------------------------------------
Fri Apr 11 00:00:00 UTC 2014 - Manfred.Tremmel@iiv.de
@ -58,7 +85,7 @@ Fri Apr 11 00:00:00 UTC 2014 - Manfred.Tremmel@iiv.de
* Avoid a possible performance penalty where AVX-optimised memcpy is used.
* Add BD-J (BluRay Java) support with ARGB overlay capable video drivers (opengl2, vaapi, vdpau)
* Add support for theora 4:2:2 and 4:4:4 pixel formats
- Removed xine-lib-missing-include-1.2.3.patch, the missing file is now included in the upstream tarball
-------------------------------------------------------------------
Wed Sep 11 13:19:26 UTC 2013 - pgajdos@suse.com

View File

@ -1,7 +1,7 @@
#
# spec file for package xine-lib
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@ -107,9 +107,9 @@ BuildRequires: DirectFB
%if %{with modplug}
BuildRequires: libmodplug-devel
%endif
Version: 1.2.5
Version: 1.2.6
Release: 0
%define abiversion 2.4
%define abiversion 2.5
Summary: Video Player with Plug-Ins
License: GPL-2.0+ and SUSE-Public-Domain
Group: Productivity/Multimedia/Video/Players
@ -117,9 +117,9 @@ Url: http://www.xine-project.org/home
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%if %{with distributable}
Source: xine-lib-%{version}-crippled.tar.bz2
Source: xine-lib-%{version}-crippled.tar.xz
%else
Source: http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/xine-lib-%{version}.tar.bz2
Source: http://downloads.sourceforge.net/project/xine/xine-lib/%{version}/xine-lib-%{version}.tar.xz
%endif
Source1: baselibs.conf
Source99: precheckin_cripple_tarball.sh